> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create account

## System-specific requirements

<AccordionGroup>
  <Accordion title="AbaConnect" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/abacus.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=e1a1710b2ea6a968fe05f50e6add869c" width="180" height="120" data-path="logo/abacus.svg">
    Supported Request Parameters:

    <ResponseField name="baseUrl" type="string" required />

    <ResponseField name="mandant" type="string" required />

    <ResponseField name="password" type="string" required />

    <ResponseField name="username" type="string" required />
  </Accordion>

  <Accordion title="BuchhaltungsButler" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/buchhaltungsbutler.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=3c7e3e932413af1baa050ec41ef97a10" width="24" height="24" data-path="logo/buchhaltungsbutler.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />

    <ResponseField name="clientName" type="string" required />

    <ResponseField name="clientSecret" type="string" required />
  </Accordion>

  <Accordion title="Holded" icon="https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/holded.svg?fit=max&auto=format&n=NQwZPkomn6wLid0x&q=85&s=002a6714822fbb50f154f7ab9dea2db4" width="519" height="519" data-path="logo/holded.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />
  </Accordion>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />
  </Accordion>

  <Accordion title="Snelstart" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/snelstart.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=a18e70fedba8b4166ced134d0ad1b8e3" width="24" height="24" data-path="logo/snelstart.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />
  </Accordion>

  <Accordion title="weclapp" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/weclapp.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=6a1eb194f06b8ed5c6ebec41766aff4a" width="24" height="24" data-path="logo/weclapp.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />

    <ResponseField name="tenantId" type="string" required />
  </Accordion>

  <Accordion title="Xentral" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/xentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=178700a67ab1b51df03e62487907f0dd" width="24" height="24" data-path="logo/xentral.svg">
    Supported Request Parameters:

    <ResponseField name="apiKey" type="string" required />

    <ResponseField name="tenantId" type="string" required />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml post /auth/accounts/{TARGET_SYSTEM}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /auth/accounts/{TARGET_SYSTEM}:
    post:
      tags:
        - auth
      operationId: createEndUserAccount
      parameters:
        - name: TARGET_SYSTEM
          required: true
          in: path
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEndUserRequestDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateEndUserRequestDto:
      type: object
      properties:
        apiKey:
          type: string
          example: api key
        baseUrl:
          type: string
          example: https://entity-api1-4.demo.abacus.ch
        clientName:
          type: string
          example: client name
        clientSecret:
          type: string
          example: client secret
        mandant:
          type: string
          example: '7777'
        password:
          type: string
          example: ServiceUserPassword123
        tenantId:
          type: string
          example: tenant id
        username:
          type: string
          example: Rob_Smith

````